del *.log
del *.upd
rem  Run TABLO/LTG (only need to do once)
tablo -sti termscal.sti
if errorlevel 1 goto error
call ltg termscal
if errorlevel 1 goto error
del *ceqexplen.har

rem  Adjust initial data AggMod.har to meet balance constraints and GDP target
rem  Updated data file will be TermScal.upd
rem  Output file TermScal.har shows balances and summary for initial data AggMod.har
termscal -cmf termscal.cmf
if errorlevel 1 goto error

rem  Check balance and summarize TermScal.upd 
rem  Output is checkbal.har
termscal -cmf checkbal.cmf
if errorlevel 1 goto error

echo BATCH JOB SUCCESSFUL
dir/od *.har *.upd
goto endbat

:error
echo off
echo ###### ERROR: BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
echo Please press CTRL-C to terminate batch job
pause
:endbat
